Index: code/branches/gui/src/orxonox/tools/BillboardSet.cc
===================================================================
--- code/branches/gui/src/orxonox/tools/BillboardSet.cc	(revision 1636)
+++ code/branches/gui/src/orxonox/tools/BillboardSet.cc	(revision 1638)
@@ -50,5 +50,5 @@
         std::ostringstream name;
         name << (BillboardSet::billboardSetCounter_s++);
-        this->billboardSet_ = GraphicsEngine::getSingleton().getSceneManager()->createBillboardSet("Billboard" + name.str(), count);
+        this->billboardSet_ = GraphicsEngine::getSingleton().getLevelSceneManager()->createBillboardSet("Billboard" + name.str(), count);
         this->billboardSet_->createBillboard(Vector3::ZERO);
         this->billboardSet_->setMaterialName(file);
@@ -59,5 +59,5 @@
         std::ostringstream name;
         name << (BillboardSet::billboardSetCounter_s++);
-        this->billboardSet_ = GraphicsEngine::getSingleton().getSceneManager()->createBillboardSet("Billboard" + name.str(), count);
+        this->billboardSet_ = GraphicsEngine::getSingleton().getLevelSceneManager()->createBillboardSet("Billboard" + name.str(), count);
         this->billboardSet_->createBillboard(Vector3::ZERO, colour);
         this->billboardSet_->setMaterialName(file);
@@ -68,5 +68,5 @@
         std::ostringstream name;
         name << (BillboardSet::billboardSetCounter_s++);
-        this->billboardSet_ = GraphicsEngine::getSingleton().getSceneManager()->createBillboardSet("Billboard" + name.str(), count);
+        this->billboardSet_ = GraphicsEngine::getSingleton().getLevelSceneManager()->createBillboardSet("Billboard" + name.str(), count);
         this->billboardSet_->createBillboard(position);
         this->billboardSet_->setMaterialName(file);
@@ -77,5 +77,5 @@
         std::ostringstream name;
         name << (BillboardSet::billboardSetCounter_s++);
-        this->billboardSet_ = GraphicsEngine::getSingleton().getSceneManager()->createBillboardSet("Billboard" + name.str(), count);
+        this->billboardSet_ = GraphicsEngine::getSingleton().getLevelSceneManager()->createBillboardSet("Billboard" + name.str(), count);
         this->billboardSet_->createBillboard(position, colour);
         this->billboardSet_->setMaterialName(file);
@@ -85,5 +85,5 @@
     {
         if (this->billboardSet_)
-            GraphicsEngine::getSingleton().getSceneManager()->destroyBillboardSet(this->billboardSet_);
+            GraphicsEngine::getSingleton().getLevelSceneManager()->destroyBillboardSet(this->billboardSet_);
     }
 }
Index: code/branches/gui/src/orxonox/tools/Light.cc
===================================================================
--- code/branches/gui/src/orxonox/tools/Light.cc	(revision 1636)
+++ code/branches/gui/src/orxonox/tools/Light.cc	(revision 1638)
@@ -49,5 +49,5 @@
         std::ostringstream name;
         name << (Light::lightCounter_s++);
-        this->light_ = GraphicsEngine::getSingleton().getSceneManager()->createLight("Light" + name.str());
+        this->light_ = GraphicsEngine::getSingleton().getLevelSceneManager()->createLight("Light" + name.str());
         this->light_->setType(type);
         this->light_->setDiffuseColour(diffuse);
@@ -58,5 +58,5 @@
     {
         if (this->light_)
-            GraphicsEngine::getSingleton().getSceneManager()->destroyLight(this->light_);
+            GraphicsEngine::getSingleton().getLevelSceneManager()->destroyLight(this->light_);
     }
 }
Index: code/branches/gui/src/orxonox/tools/Mesh.cc
===================================================================
--- code/branches/gui/src/orxonox/tools/Mesh.cc	(revision 1636)
+++ code/branches/gui/src/orxonox/tools/Mesh.cc	(revision 1638)
@@ -49,5 +49,5 @@
         std::ostringstream name;
         name << (Mesh::meshCounter_s++);
-        this->entity_ = GraphicsEngine::getSingleton().getSceneManager()->createEntity("Mesh" + name.str(), file);
+        this->entity_ = GraphicsEngine::getSingleton().getLevelSceneManager()->createEntity("Mesh" + name.str(), file);
     }
 
@@ -55,5 +55,5 @@
     {
         if (this->entity_)
-            GraphicsEngine::getSingleton().getSceneManager()->destroyEntity(this->entity_);
+            GraphicsEngine::getSingleton().getLevelSceneManager()->destroyEntity(this->entity_);
     }
 }
Index: code/branches/gui/src/orxonox/tools/ParticleInterface.cc
===================================================================
--- code/branches/gui/src/orxonox/tools/ParticleInterface.cc	(revision 1636)
+++ code/branches/gui/src/orxonox/tools/ParticleInterface.cc	(revision 1638)
@@ -55,6 +55,6 @@
     this->bEnabled_ = true;
     this->detaillevel_ = (unsigned int)detaillevel;
-    this->particleSystem_ = GraphicsEngine::getSingleton().getSceneManager()->createParticleSystem("particles" + getConvertedValue<unsigned int, std::string>(ParticleInterface::counter_s++), templateName);
-    this->particleSystem_->setSpeedFactor(Orxonox::getSingleton()->getTimeFactor());
+    this->particleSystem_ = GraphicsEngine::getSingleton().getLevelSceneManager()->createParticleSystem("particles" + getConvertedValue<unsigned int, std::string>(ParticleInterface::counter_s++), templateName);
+    this->particleSystem_->setSpeedFactor(Orxonox::getSingleton().getTimeFactor());
 
     if (GraphicsEngine::getSingleton().getDetailLevelParticle() < (unsigned int)this->detaillevel_)
@@ -72,5 +72,5 @@
   {
     this->particleSystem_->removeAllEmitters();
-    GraphicsEngine::getSingleton().getSceneManager()->destroyParticleSystem(particleSystem_);
+    GraphicsEngine::getSingleton().getLevelSceneManager()->destroyParticleSystem(particleSystem_);
   }
 
@@ -171,9 +171,9 @@
   void ParticleInterface::setSpeedFactor(float factor)
   {
-    this->particleSystem_->setSpeedFactor(Orxonox::getSingleton()->getTimeFactor() * factor);
+    this->particleSystem_->setSpeedFactor(Orxonox::getSingleton().getTimeFactor() * factor);
   }
   float ParticleInterface::getSpeedFactor() const
   {
-    return (this->particleSystem_->getSpeedFactor() / Orxonox::getSingleton()->getTimeFactor());
+    return (this->particleSystem_->getSpeedFactor() / Orxonox::getSingleton().getTimeFactor());
   }
 
Index: code/branches/gui/src/tolua/tolua++.h
===================================================================
--- code/branches/gui/src/tolua/tolua++.h	(revision 1636)
+++ code/branches/gui/src/tolua/tolua++.h	(revision 1638)
@@ -17,7 +17,32 @@
 #define TOLUA_H
 
+/* original code */
+/*
 #ifndef TOLUA_API
 #define TOLUA_API extern
 #endif
+*/
+
+/********************************
+******* ORXONOX CHANGES *********
+********************************/
+
+#if (defined( __WIN32__ ) || defined( _WIN32 )) && !defined( TOLUA_STATIC_BUILD )
+#  ifdef TOLUA_SHARED_BUILD
+#    define TOLUA_API __declspec(dllexport)
+#  else
+#    if defined( __MINGW32__ )
+#      define TOLUA_API
+#    else
+#      define TOLUA_API __declspec(dllimport)
+#    endif
+#  endif
+#else
+#  define TOLUA_API extern
+#endif
+
+/********************************
+****** END ORXONOX CHANGES ******
+********************************/
 
 #define TOLUA_VERSION "tolua++-1.0.92"
Index: code/branches/gui/src/tolua/toluabind.c
===================================================================
--- code/branches/gui/src/tolua/toluabind.c	(revision 1636)
+++ code/branches/gui/src/tolua/toluabind.c	(revision 1638)
@@ -12,5 +12,5 @@
 
 /* Exported function */
-TOLUA_API int  tolua_tolua_open (lua_State* tolua_S);
+int  tolua_tolua_open (lua_State* tolua_S);
 
 
@@ -21,5 +21,5 @@
 
 /* Open function */
-TOLUA_API int tolua_tolua_open (lua_State* tolua_S)
+int tolua_tolua_open (lua_State* tolua_S)
 {
  tolua_open(tolua_S);
@@ -7622,5 +7622,5 @@
 
 #if defined(LUA_VERSION_NUM) && LUA_VERSION_NUM >= 501
- TOLUA_API int luaopen_tolua (lua_State* tolua_S) {
+ int luaopen_tolua (lua_State* tolua_S) {
  return tolua_tolua_open(tolua_S);
 };
Index: code/branches/gui/src/util/ArgReader.cc
===================================================================
--- code/branches/gui/src/util/ArgReader.cc	(revision 1636)
+++ code/branches/gui/src/util/ArgReader.cc	(revision 1638)
@@ -22,6 +22,7 @@
  *   Author:
  *      Reto Grieder
+ *      Benjamin Knecht <beni_at_orxonox.net>
  *   Co-authors:
- *      Benjamin Knecht <beni_at_orxonox.net>
+ *      ...
  *
  */
@@ -35,60 +36,64 @@
 #include "SubString.h"
 
-ArgReader::ArgReader(int argc, char **argv)
+std::string ArgReader::parse(int argc, char **argv)
 {
-  failure_ = false;
-  errorString_ = "";
-  CmdLineArg arg;
+    std::string errorString;
+    CmdLineArg arg;
+    int i = 1;
+    while (i < argc)
+    {
+        if (argv[i][0] == '-' && argv[i][1] == '-') // name
+        {
+            if (argv[i][2] == '\0')
+            {
+                errorString += "Expected word after \"--\".\n";
+            }
+            arg.bChecked_ = false;
+            arg.name_ = argv[i] + 2;
+            arg.value_ = " ";
+            arguments_.push_back(arg);
+        }
+        else // value
+        {
+            if (arguments_.size() == 0)
+            {
+                errorString += "Expected \"--\" in command line arguments.\n";
+                arg.bChecked_ = false;
+                arg.name_ = "";
+                arg.value_ = " ";
+                arguments_.push_back(arg);
+            }
 
-  int i = 1;
-  while (i < argc)
-  {
-    if (argv[i][0] == '-' && argv[i][1] == '-') // name
-    {
-      if (argv[i][2] == '\0')
-      {
-        failure_ = true;
-        errorString_ += "Expected word after \"--\".\n";
-      }
-      arg.bChecked_ = false;
-      arg.name_ = argv[i] + 2;
-      arg.value_ = "";
-      arguments_.push_back(arg);
+            if (arguments_.back().value_ != " ")
+                arguments_.back().value_ += " " + std::string(argv[i]);
+            else
+                arguments_.back().value_ = argv[i];
+        }
+        ++i;
     }
-    else // value
-    {
-      if (arguments_.size() == 0)
-      {
-        failure_ = true;
-        errorString_ += "Expected \"--\" in command line arguments.\n";
-        arg.bChecked_ = false;
-        arg.name_ = "";
-        arg.value_ = "";
-        arguments_.push_back(arg);
-      }
-
-      if (arguments_.back().value_ != "")
-        arguments_.back().value_ += " " + std::string(argv[i]);
-      else
-        arguments_.back().value_ = argv[i];
-    }
-    ++i;
-  }
+    return errorString;
 }
 
-bool ArgReader::errorHandling()
+const std::string& ArgReader::getArgument(const std::string& option)
 {
-  bool argumentsChecked = true;
-  for (unsigned int i = 1; i < arguments_.size(); ++i)
-    argumentsChecked &= arguments_[i].bChecked_;
-
-  if (!argumentsChecked)
-    errorString_ += "Not all arguments could be matched.\n";
-
-  return !argumentsChecked || failure_;
+    unsigned int iArg = 0;
+    while (iArg < arguments_.size())
+    {
+        if (arguments_[iArg].name_ == option)
+        {
+            arguments_[iArg].bChecked_ = true;
+            return arguments_[iArg].value_;
+        }
+        ++iArg;
+    }
+    return blankString;
 }
 
-const std::string& ArgReader::getErrorString()
+bool ArgReader::allChecked()
 {
-  return errorString_;
+    bool argumentsChecked = true;
+    for (unsigned int i = 1; i < arguments_.size(); ++i)
+        argumentsChecked &= arguments_[i].bChecked_;
+
+    return argumentsChecked;
 }
Index: code/branches/gui/src/util/ArgReader.h
===================================================================
--- code/branches/gui/src/util/ArgReader.h	(revision 1636)
+++ code/branches/gui/src/util/ArgReader.h	(revision 1638)
@@ -22,6 +22,7 @@
  *   Author:
  *      Reto Grieder
+ *      Benjamin Knecht <beni_at_orxonox.net>
  *   Co-authors:
- *      Benjamin Knecht <beni_at_orxonox.net>
+ *      ...
  *
  */
@@ -42,75 +43,23 @@
 #include "Convert.h"
 
-struct _UtilExport CmdLineArg
-{
-  std::string name_;
-  std::string value_;
-  bool bChecked_;
-};
 
 class _UtilExport ArgReader
 {
-  public:
-    ArgReader(int argc, char **argv);
-    template <class T>
-    void checkArgument(std::string option, T* value, bool must = false);
-    bool errorHandling();
-    const std::string& getErrorString();
+public:
+    ArgReader() { }
+    std::string parse(int argc, char **argv);
+    const std::string& getArgument(const std::string& option);
+    bool allChecked();
 
-  private:
+private:
+    struct CmdLineArg
+    {
+        std::string name_;
+        std::string value_;
+        bool bChecked_;
+    };
+
     std::vector<CmdLineArg> arguments_;
-    bool failure_;
-    std::string errorString_;
 };
 
-template <class T>
-void ArgReader::checkArgument(std::string option, T* value, bool must)
-{
-  unsigned int iArg = 0;
-  while (iArg < arguments_.size())
-  {
-    if (arguments_[iArg].name_ == option)
-      break;
-    ++iArg;
-  }
-  if (iArg == arguments_.size())
-  {
-    if (must)
-    {
-      failure_ = true;
-      errorString_ += "Cannot find mandatory argument \"" + option + "\"\n";
-      return;
-    }
-    else
-      return;
-  }
-
-  arguments_[iArg].bChecked_ = true;
-
-  if (!convertValue(value, arguments_[iArg].value_))
-  {
-    failure_ = true;
-    errorString_ += "Cannot convert argument value for option \"" + option + "\"\n";
-  }
-}
-
-template <>
-void ArgReader::checkArgument(std::string option, bool* value, bool must)
-{
-  // for type bool, only check whether the option was set or not
-  unsigned int iArg = 0;
-  while (iArg < arguments_.size())
-  {
-    if (arguments_[iArg].name_ == option)
-    {
-      arguments_[iArg].bChecked_ = true;
-      *value = true;
-      break;
-    }
-    ++iArg;
-  }
-  if (iArg == arguments_.size())
-    *value = false;
-}
-
 #endif /* _ArgReader_H__ */
Index: code/branches/gui/src/util/OrxonoxPlatform.h
===================================================================
--- code/branches/gui/src/util/OrxonoxPlatform.h	(revision 1636)
+++ code/branches/gui/src/util/OrxonoxPlatform.h	(revision 1638)
@@ -103,4 +103,17 @@
 #else
 #  define ORXONOX_ARCH_TYPE ORXONOX_ARCHITECTURE_32
+#endif
+
+// try to define function information
+#ifndef __FUNCTIONNAME__
+#  if ORXONOX_COMPILER == ORXONOX_COMPILER_BORL
+#    define __FUNCTIONNAME__ __FUNC__
+#  elif ORXONOX_COMPILER == ORXONOX_COMPILER_GNUC
+#    define __FUNCTIONNAME__ __PRETTY_FUNCTION__
+#  elif ORXONOX_COMPILER == ORXONOX_COMPILER_MSVC
+#    define __FUNCTIONNAME__ __FUNCTION__
+#  else
+#    define __FUNCTIONNAME__
+#  endif
 #endif
 
@@ -265,5 +278,5 @@
 // generated code from nvparse etc). I doubt very much that these calls
 // will ever be actually removed from VC anyway, it would break too much code.
-//#	pragma warning( disable: 4996)
+//# pragma warning( disable: 4996)
 
 // disable: "conditional expression constant", always occurs on
Index: code/branches/gui/src/util/Sleep.h
===================================================================
--- code/branches/gui/src/util/Sleep.h	(revision 1636)
+++ code/branches/gui/src/util/Sleep.h	(revision 1638)
@@ -29,5 +29,5 @@
 /**
  @file  Sleep.h
- @brief Macros for using sleep() and usleep() under windows
+ @brief Functions for using sleep() and usleep() under windows
  */
 
Index: code/branches/gui/visual_studio/base_properties.vsprops
===================================================================
--- code/branches/gui/visual_studio/base_properties.vsprops	(revision 1636)
+++ code/branches/gui/visual_studio/base_properties.vsprops	(revision 1638)
@@ -8,5 +8,6 @@
 	<Tool
 		Name="VCCLCompilerTool"
-		AdditionalIncludeDirectories="&quot;$(RootDir)&quot;;&quot;$(RootDir)src&quot;;&quot;$(RootDir)src\orxonox&quot;;&quot;$(RootDir)src\tolua&quot;;&quot;$(RootDir)src\ois&quot;;&quot;$(LibDir)ogre-1.4.8\OgreMain\include&quot;;&quot;$(LibDir)boost-1.35.0&quot;;&quot;$(LibDir)enet-1.2\include&quot;;&quot;$(LibDir)libogg-1.1.3\include&quot;;&quot;$(LibDir)libvorbis-1.2.0\include&quot;;&quot;$(LibDir)lua-5.1.3\src&quot;;&quot;$(LibDir)openal-1.1\include&quot;;&quot;$(LibDir)openal-1.1\alut\include&quot;;&quot;$(LibDir)tcl-8.5.\generic&quot;;&quot;$(LibDir)zlib-1.2.3&quot;"
+		AdditionalIncludeDirectories="&quot;$(RootDir)&quot;;&quot;$(RootDir)src&quot;;&quot;$(RootDir)src\orxonox&quot;;&quot;$(RootDir)src\tolua&quot;;&quot;$(RootDir)src\ois&quot;;&quot;$(LibDir)ogre-1.4.8\OgreMain\include&quot;;&quot;$(LibDir)boost-1.35.0&quot;;&quot;$(LibDir)cegui-0.6.1\include&quot;;&quot;$(LibDir)cegui-0.6.1\ScriptingModules\CEGUILua\LuaScriptModule\include&quot;;&quot;$(LibDir)enet-1.2\include&quot;;&quot;$(LibDir)libogg-1.1.3\include&quot;;&quot;$(LibDir)libvorbis-1.2.0\include&quot;;&quot;$(LibDir)lua-5.1.3\src&quot;;&quot;$(LibDir)openal-1.1\include&quot;;&quot;$(LibDir)openal-1.1\alut\include&quot;;&quot;$(LibDir)tcl-8.5.\generic&quot;;&quot;$(LibDir)zlib-1.2.3&quot;;&quot;$(LibDir)ogre-1.4.9\Samples\Common\CEGUIRenderer\include&quot;"
+		AdditionalOptions="/MP2"
 		PreprocessorDefinitions="WIN32;__WIN32__;_WIN32;BOOST_ALL_DYN_LINK;OIS_DYNAMIC_LIB; ZLIB_WINAPI"
 		WarningLevel="3"
Index: code/branches/gui/visual_studio/orxonox_properties.vsprops
===================================================================
--- code/branches/gui/visual_studio/orxonox_properties.vsprops	(revision 1636)
+++ code/branches/gui/visual_studio/orxonox_properties.vsprops	(revision 1638)
@@ -8,5 +8,5 @@
 	<Tool
 		Name="VCCLCompilerTool"
-		PreprocessorDefinitions="ORXONOX_NO_EXPORTS;NETWORK_STATIC_BUILD"
+		PreprocessorDefinitions="ORXONOX_NO_EXPORTS;NETWORK_STATIC_BUILD;OGRE_GUIRENDERER_EXPORTS"
 		UsePrecompiledHeader="2"
 		PrecompiledHeaderThrough="OrxonoxStableHeaders.h"
@@ -14,5 +14,5 @@
 	<Tool
 		Name="VCLinkerTool"
-		AdditionalDependencies="OgreMain$(CSS).lib tcl85t.lib enet-1.2$(CS).lib zlib-1.2.3$(CS).lib"
+		AdditionalDependencies="OgreMain$(CSS).lib tcl85t.lib enet-1.2$(CS).lib zlib-1.2.3$(CS).lib CEGUILua$(CS).lib CEGUIBase$(CS).lib lua-5.1.3$(CS).lib"
 		OutputFile="$(OutDir)$(ProjectName)$(CS).exe"
 		IgnoreDefaultLibraryNames="LIBCMT;LIBCMTD"
Index: code/branches/gui/visual_studio/orxonox_vc8.sln
===================================================================
--- code/branches/gui/visual_studio/orxonox_vc8.sln	(revision 1636)
+++ code/branches/gui/visual_studio/orxonox_vc8.sln	(revision 1638)
@@ -18,4 +18,5 @@
 Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "tolua_app", "vc8\tolua_app.vcproj", "{A0724246-CB7C-420B-BCF0-68EF205AFE34}"
 	ProjectSection(ProjectDependencies) = postProject
+		{71FC0211-5EB5-4637-BE8A-A48EC3CC27D0} = {71FC0211-5EB5-4637-BE8A-A48EC3CC27D0}
 		{35E36A06-0A5C-4A0D-9AB6-5A05EAA87626} = {35E36A06-0A5C-4A0D-9AB6-5A05EAA87626}
 	EndProjectSection
@@ -44,9 +45,15 @@
 Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "orxonox", "vc8\orxonox.vcproj", "{0B6C5CFD-F91B-432A-80A3-2610F61E060B}"
 	ProjectSection(ProjectDependencies) = postProject
-		{4733BD1A-E04C-458D-8BFB-5010250EA497} = {4733BD1A-E04C-458D-8BFB-5010250EA497}
+		{35E36A06-0A5C-4A0D-9AB6-5A05EAA87626} = {35E36A06-0A5C-4A0D-9AB6-5A05EAA87626}
 		{35575B59-E1AE-40E8-89C4-2862B5B09B68} = {35575B59-E1AE-40E8-89C4-2862B5B09B68}
 		{2240ECD7-2F48-4431-8E1B-25466A384CCC} = {2240ECD7-2F48-4431-8E1B-25466A384CCC}
 		{F101C2F0-1CB9-4A57-827B-6C399A99B28F} = {F101C2F0-1CB9-4A57-827B-6C399A99B28F}
 		{271715F3-5B90-4110-A552-70C788084A86} = {271715F3-5B90-4110-A552-70C788084A86}
+		{4733BD1A-E04C-458D-8BFB-5010250EA497} = {4733BD1A-E04C-458D-8BFB-5010250EA497}
+	EndProjectSection
+EndProject
+Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "tolua_gen", "vc8\tolua_gen.vcproj", "{71FC0211-5EB5-4637-BE8A-A48EC3CC27D0}"
+	ProjectSection(ProjectDependencies) = postProject
+		{35E36A06-0A5C-4A0D-9AB6-5A05EAA87626} = {35E36A06-0A5C-4A0D-9AB6-5A05EAA87626}
 	EndProjectSection
 EndProject
@@ -97,4 +104,8 @@
 		{0B6C5CFD-F91B-432A-80A3-2610F61E060B}.Release|Win32.ActiveCfg = Release|Win32
 		{0B6C5CFD-F91B-432A-80A3-2610F61E060B}.Release|Win32.Build.0 = Release|Win32
+		{71FC0211-5EB5-4637-BE8A-A48EC3CC27D0}.Debug|Win32.ActiveCfg = Debug|Win32
+		{71FC0211-5EB5-4637-BE8A-A48EC3CC27D0}.Debug|Win32.Build.0 = Debug|Win32
+		{71FC0211-5EB5-4637-BE8A-A48EC3CC27D0}.Release|Win32.ActiveCfg = Release|Win32
+		{71FC0211-5EB5-4637-BE8A-A48EC3CC27D0}.Release|Win32.Build.0 = Release|Win32
 	EndGlobalSection
 	GlobalSection(SolutionProperties) = preSolution
Index: code/branches/gui/visual_studio/tolua_app_properties.vsprops
===================================================================
--- code/branches/gui/visual_studio/tolua_app_properties.vsprops	(revision 1636)
+++ code/branches/gui/visual_studio/tolua_app_properties.vsprops	(revision 1638)
@@ -8,5 +8,6 @@
 	<Tool
 		Name="VCCLCompilerTool"
-		DisableSpecificWarnings="4996"
+		PreprocessorDefinitions="TOLUA_STATIC_BUILD"
+		CompileAs="1"
 	/>
 	<Tool
Index: code/branches/gui/visual_studio/tolua_gen_properties.vsprops
===================================================================
--- code/branches/gui/visual_studio/tolua_gen_properties.vsprops	(revision 1638)
+++ code/branches/gui/visual_studio/tolua_gen_properties.vsprops	(revision 1638)
@@ -0,0 +1,17 @@
+<?xml version="1.0" encoding="Windows-1252"?>
+<VisualStudioPropertySheet
+	ProjectType="Visual C++"
+	Version="8.00"
+	Name="tolua_gen_properties"
+	InheritedPropertySheets=".\directory_properties.vsprops"
+	>
+	<Tool
+		Name="VCCLCompilerTool"
+		CompileAs="1"
+	/>
+	<Tool
+		Name="VCLinkerTool"
+		AdditionalDependencies="lua-5.1.3$(CS).lib"
+		OutputFile="$(OutDir)$(ProjectName)$(CS).exe"
+	/>
+</VisualStudioPropertySheet>
Index: code/branches/gui/visual_studio/tolua_properties.vsprops
===================================================================
--- code/branches/gui/visual_studio/tolua_properties.vsprops	(revision 1636)
+++ code/branches/gui/visual_studio/tolua_properties.vsprops	(revision 1638)
@@ -8,5 +8,11 @@
 	<Tool
 		Name="VCCLCompilerTool"
+		PreprocessorDefinitions="TOLUA_SHARED_BUILD"
+		CompileAs="2"
 		DisableSpecificWarnings="4996"
 	/>
+	<Tool
+		Name="VCLinkerTool"
+		AdditionalDependencies="lua-5.1.3$(CS).lib"
+	/>
 </VisualStudioPropertySheet>
Index: code/branches/gui/visual_studio/vc8/core.vcproj
===================================================================
--- code/branches/gui/visual_studio/vc8/core.vcproj	(revision 1636)
+++ code/branches/gui/visual_studio/vc8/core.vcproj	(revision 1638)
@@ -165,4 +165,8 @@
 			</File>
 			<File
+				RelativePath="..\..\src\core\Exception.cc"
+				>
+			</File>
+			<File
 				RelativePath="..\..\src\core\Language.cc"
 				>
@@ -194,4 +198,14 @@
 					RelativePath="..\..\src\core\tolua\tolua.pkg"
 					>
+					<FileConfiguration
+						Name="Debug|Win32"
+						>
+						<Tool
+							Name="VCCustomBuildTool"
+							Description="Generating tolua bind files..."
+							CommandLine="&quot;$(OutDir)\tolua_app_d.exe&quot; -n Core -o ../../src/core/tolua/tolua_bind.cc -H ../../src/core/tolua/tolua_bind.h ../../src/core/tolua/tolua.pkg&#x0D;&#x0A;"
+							Outputs="$(RootDir)\src\core\tolua\tolua_bind.cc; $(RootDir)\src\core\tolua\tolua_bind.h"
+						/>
+					</FileConfiguration>
 					<FileConfiguration
 						Name="Release|Win32"
@@ -200,5 +214,5 @@
 							Name="VCCustomBuildTool"
 							Description="Generating tolua bind files..."
-							CommandLine="&quot;$(OutDir)\tolua_app.exe&quot; -n core -o ../../src/core/tolua/tolua_bind.cc -H ../../src/core/tolua/tolua_bind.h ../../src/core/tolua/tolua.pkg"
+							CommandLine="&quot;$(OutDir)\tolua_app.exe&quot; -n Core -o ../../src/core/tolua/tolua_bind.cc -H ../../src/core/tolua/tolua_bind.h ../../src/core/tolua/tolua.pkg&#x0D;&#x0A;"
 							Outputs="$(RootDir)\src\core\tolua\tolua_bind.cc; $(RootDir)\src\core\tolua\tolua_bind.h"
 						/>
@@ -294,4 +308,8 @@
 				</File>
 				<File
+					RelativePath="..\..\src\core\input\ExtendedInputState.cc"
+					>
+				</File>
+				<File
 					RelativePath="..\..\src\core\input\HalfAxis.cc"
 					>
@@ -315,4 +333,8 @@
 				<File
 					RelativePath="..\..\src\core\input\KeyDetector.cc"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\core\input\SimpleInputState.cc"
 					>
 				</File>
@@ -373,4 +395,8 @@
 			</File>
 			<File
+				RelativePath="..\..\src\core\Exception.h"
+				>
+			</File>
+			<File
 				RelativePath="..\..\src\core\Language.h"
 				>
@@ -412,4 +438,8 @@
 				</File>
 				<File
+					RelativePath="..\..\src\core\input\ExtendedInputState.h"
+					>
+				</File>
+				<File
 					RelativePath="..\..\src\core\input\HalfAxis.h"
 					>
@@ -432,4 +462,8 @@
 				</File>
 				<File
+					RelativePath="..\..\src\core\input\InputState.h"
+					>
+				</File>
+				<File
 					RelativePath="..\..\src\core\input\KeyBinder.h"
 					>
@@ -437,4 +471,8 @@
 				<File
 					RelativePath="..\..\src\core\input\KeyDetector.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\core\input\SimpleInputState.h"
 					>
 				</File>
Index: code/branches/gui/visual_studio/vc8/ois.vcproj
===================================================================
--- code/branches/gui/visual_studio/vc8/ois.vcproj	(revision 1636)
+++ code/branches/gui/visual_studio/vc8/ois.vcproj	(revision 1638)
@@ -43,4 +43,5 @@
 			<Tool
 				Name="VCCLCompilerTool"
+				AdditionalOptions="/MP2"
 				Optimization="2"
 				InlineFunctionExpansion="1"
@@ -128,4 +129,5 @@
 			<Tool
 				Name="VCCLCompilerTool"
+				AdditionalOptions="/MP2"
 				Optimization="0"
 				AdditionalIncludeDirectories="$(RootDir)\src\ois"
